scrub-obsolete Package - katomic

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/katomic scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 92be0d0..0f67498 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+katomic (4:20.08.0-2) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 14 Nov 2020 18:33:46 -0000
+
 katomic (4:20.08.0-1) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/control b/debian/control
index 9c1559b..23dda67 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Uploaders: Daniel Schepler <schepler@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.30.0~),
                gettext,
@@ -22,7 +22,7 @@ Build-Depends: cmake (>= 3.5~),
                libkf5newstuff-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
-               pkg-kde-tools (>> 0.15.15),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.7.0~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

Run locally

Try this locally (using the lintian-brush package):

debcheckout katomic
cd katomic
deb-scrub-obsolete

More details

Full run details